Subject: bug#58281: 27.1; windows mangles encoding on command line

From: Daniel Bastos <[email-masked]>
Date: Mon, 7 Nov 2022 19:38:35 -0300

On Mon, Nov 7, 2022 at 5:10 PM Eli Zaretskii <[email-masked]> wrote:
>
> > From: Daniel Bastos <[email-masked]>
> > Date: Mon, 7 Nov 2022 16:40:04 -0300
> > Cc: [email-masked]
> >
> > > > I've now installed a change for Emacs 29 that I think should fix your
> > > > problems.  So if you can try the current master branch of the Emacs
> > > > Git repository, please do, and see if your problem with Fossil are
> > > > solved there.
> >
> > I'm not sure which is "Emacs 29".  I took the master branch
> >
> >   https://git.savannah.gnu.org/cgit/emacs.git/
> >
> > right now --- November 7th, 15h EST --- and followed nt/INSTALL.W64 to
> > compile it using MSYS32 in a MINGW64 shell.  After building the
> > runemacs.exe, I ran it with the option -Q and I see the version is
> >
> >   GNU Emacs 29.0.50 (build 1, x86_64-w64-mingw32) of 2022-11-07
> >
> > I get the following behavior:
> >
> > c:/my/path $ fossil commit -m 'Naiveté.'
> > Pull from https://[email-masked]/mer
> > Round-trips: 1   Artifacts sent: 0  received: 0
> > Pull done, wire bytes sent: 438  received: 3908  ip: 5.161.138.46
> > New_Version: e3d8a268759a5e968f132043404eecb4ea5068135fcebd0d35b6b668eb8404a2
> > Sync with https://[email-masked]/mer
> > Round-trips: 1   Artifacts sent: 2  received: 0
> > Sync done, wire bytes sent: 4297  received: 309  ip: 5.161.138.46
> > c:/my/path $ fossil timeline -n 1
> > === 2022-11-07 ===
> > 19:29:10 [e3d8a26875] *CURRENT* NaivetÃ©. (user: mer tags: trunk)
>
> What do you see if you run "fossil timeline -n 1" from the shell
> outside of Emacs? does it show "Naiveté" as expected?  If it does,
> then what you see above is a secondary and much less serious problem;
> the repository is OK.

Great.  I see it correctly when I run "fossil timeline -n 1" from the
shell outside of Emacs.

C:\my\path>fossil timeline -n 1
=== 2022-11-07 ===
19:35:10 [c51f1ff698] *CURRENT* Naiveté. (user: mer tags: trunk)
--- entry limit (1) reached ---

[...]